## elinks-0.19.1-1.src.tar.zst

=== src/js/mujs/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS = attr.o attributes.o collection.o collection2.o console.o css.o customevent.o dataset.o document.o domparser.o domrect.o element.o event.o form.o forms.o fragment.o \
	history.o image.o implementation.o input.o \
	keyboard.o localstorage.o location.o mapa.o message.o navigator.o node.o nodelist.o nodelist2.o performance.o \
	screen.o style.o text.o tokenlist.o unibar.o url.o window.o xhr.o

include $(top_srcdir)/Makefile.lib
